package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Description: 操作方法
 * Author: jiang chao
 * Time: 2022/9/14 16:23
 * Classname: EMethodType
 * PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EOperationMethod {

    UNKNOWN(""),

    SELECT("搜索"),

    INSERT("添加"),

    CREATE("生成"),

    BACK("退货"),

    UPDATE("修改"),

    UPDATE_STATUS("修改状态"),

    DELETE("删除"),

    RENEW("更新"),

    IMPORT("导入"),

    EXPORT("导出"),

    CONFIRM("确认"),

    SUBMIT("提交"),

    APPROVAL("审批"),

    PAYMENT("打款"),

    POSITIVE("充正"),

    FREE_SIGN("免签"),

    FREE_PAY("免付"),

    FREE_ALL("全免"),

    PUBLISH("分布"),

    NO_PUBLISH("不分布"),

    GRANT("发放"),

    WITHDRAWAL("提现"),

    CHANGE("切换"),

    PRINT("打印"),

    BIND("绑定"),

    UNBIND("解绑"),

    REJECT("驳回"),

    AGREE("同意"),

    UP_MOVE("上移"),

    DOWN_MOVE("下移"),

    TOP("置顶"),

    CANCEL_TOP("取消置项"),

    SEND("发货"),

    RECEIVE("收货"),

    ;

    /**
     * 显示标签
     */
    private final String label;

}
